image GetMap(image data,number start,number End,number origin,number disp,number scale, string units)
	{
	//background is here neglected 
	number width,height,depth
	data.get3Dsize(width,height,depth)

	number E1 = MSA112_eVtoCh(Start,origin,disp)
	number E2 = MSA112_eVtoCh(End,origin,disp)
result("\n"+E1+"-"+E2)
	image Element = MSA112_Render3DtoFront(data[0,0,E1,width,height,E2])
	Element.ImageSetDimensionCalibration(0,0,scale,units,1)
	Element.ImageSetDimensionCalibration(1,0,scale,units,1)

	return element
	}

//get dataCube
image data := getFrontImage()

number scale = data.ImageGetDimensionScale(0)
string units = data.ImageGetDimensionUnitString(0)
number disp, origin
string Eunits
data.ImageGetDimensionCalibration(2,origin,disp,Eunits,1)

//Si
number signal = 1.74
number signal_Width = 0.20
number signal_Start = signal - signal_Width/2
number signal_End = signal + signal_Width/2

image Si := GetMap(Data,signal_Start,signal_End,origin,disp,scale,units)
Si.showimage()
Si.ImageSetName("Si")



//Ge
signal = 9.87
signal_Width = 0.20
signal_Start = signal - signal_Width/2
signal_End = signal + signal_Width/2

image Ge := GetMap(Data,signal_Start,signal_End,origin,disp,scale,units)
Ge.showimage()
Ge.ImageSetName("Ge")



